precision highp float;

varying vec2 v_texCoord;
uniform sampler2D u_texSampler;
uniform float u_imageWidth;
uniform float u_imageHeight;
uniform float u_floatParam;

void main() {
    vec4 color = texture2D(u_texSampler, v_texCoord);
    mat3 matrix;
    matrix[0] = vec3(805.0 / 2048.0, 715.0 / 2048.0, 557.0 / 2048.0);
    matrix[1] = vec3(1575.0 / 2048.0, 1405.0 / 2048.0, 1097.0 / 2048.0);
    matrix[2] = vec3(387.0 / 2048.0, 344.0 / 2048.0, 268.0 / 2048.0);
    vec3 new_color = min(matrix * color.rgb, 1.0);
    gl_FragColor = vec4(new_color.rgb, color.a);
}
